Buildings v1 · Search
Before calling these endpoints, use a Geoscape Hub application with access to this API product. Authenticate with your Consumer Key in the Authorization header. See Authentication, Error Handling, Rate Limiting, and Attribution for shared integration guidance.
Required response fields must be present when their containing object is returned. Supply the documented request parameters when calling the endpoint.
Building by Id or Reverse-Geocoder
Authentication: Use your Consumer Key in the
Authorizationheader.
Search by an addressId
This API endpoint can query buildings using an addressId. The following parameters are applicable in this query.
addressId= The unique address identifer.include= Defines the attributes about a building to return.
Search by a location (reverse geocode)
This API endpoint can query buildings using latitude and longitude (geocode). The following parameters are applicable in this query:
latLong= The latitude and longitude, separated by a comma.radius= The search radius in metres. The default value is 50.include= Defines the attributes of a building to return.
Pagination
Because there can be a large set of matches, results are provided in paginated form. Information about the pagination of the result can be seen in the links object, which contains the total count and links to the next, previous, first and last pages of the results. By default, the first
page of 10 results will be returned. These defaults can be changed using the parameters page and perPage.
Count by coverage type countByCoverageType
This new response object represents the total count of buildings by their coverage type over the entire query, not just the page you are on. This can be used to understand the total cost of returning all these buildings before being charged.
Changes to Attributes
With the Buildings Dataset 3.1 release, Geoscape has improved the following attributes: overhangingTree, roofType and estimatedLevels. To learn more about these changes review This document
query Parameters
pagePage of paginated results to return
perPageNumber of results to include per page
addressIdThe globally unique persistent identifier
includeinclude allows additional attributes to include in response.
Example: centroid,elevation,footprint2d
latLongThe latitude and longitude, separated by a comma (eg. -35.320159,149.145015)
radiusThe search radius in meters
Building by Id or Reverse-Geocoder › Responses
OK - Successful response